<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

//Compruebo si el localizador es válido
if (isset($_POST['localizador'])) {

    if ($_POST['localizador'] != '') {

        $_POST['localizador'] = strtoupper(trim($_POST['localizador']));

        $filtro_instalacion = "";
        $lista_instalacion  = "";

        if (arrayHasOnlyInts( (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true))){          
            $lista_instalacion  = implode(",", (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'],true));
            $filtro_instalacion = " AND localizadores.instalacion_id  in ( $lista_instalacion ) " ;
        }   

        $sql_localizador = "SELECT *
                            FROM localizadores
                            JOIN reservas on localizadores.localizador = reservas.localizador
                            WHERE localizadores.localizador = :localizador
                            AND localizadores.anulacion = 0
                            AND localizadores.estado = 'pagado'
                            AND reservas.sala_horario_id = 0 " . $filtro_instalacion ;

        $result_localizador = $conexion->prepare($sql_localizador);    
        $result_localizador->execute(array(':localizador' => $_POST['localizador'] ));
       
        if ($result_localizador->rowCount() > 0) {
            echo 1;

        } else {
            echo 0;
        }

    } else {
        echo 0;
    }
} else {
    echo 0;
}
